# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

from enum import Enum
from azure.core import CaseInsensitiveEnumMeta


class BonusType(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """BonusType."""

    NONE = "None"
    POSITIVE = "Positive"
    POSITIVE_AND_NEGATIVE = "PositiveAndNegative"


class CalibrationListStatus(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """CalibrationListStatus."""

    SOON_DUE = "SoonDue"
    EXPIRED = "Expired"


class CalibrationStatusDto(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """CalibrationStatusDto."""

    UNCALIBRATED = "Uncalibrated"
    DEPRECATED = "Deprecated"
    EXPIRED = "Expired"
    SOON_DUE = "SoonDue"
    VALID = "Valid"


class CncOperationStatus(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """CncOperationStatus."""

    DRAFT = "Draft"
    RELEASED = "Released"
    DEPRECATED = "Deprecated"


class CustomerOrderLineStatus(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """CustomerOrderLineStatus."""

    DRAFT = "Draft"
    READY = "Ready"
    ONGOING = "Ongoing"
    COMPLETED = "Completed"
    DELETED = "Deleted"


class CustomerOrderStatus(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """CustomerOrderStatus."""

    DRAFT = "Draft"
    READY = "Ready"
    ONGOING = "Ongoing"
    COMPLETED = "Completed"
    DELETED = "Deleted"


class MachineAlarmType(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """MachineAlarmType."""

    FAULT = "Fault"
    WARNING = "Warning"


class MachineState(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """MachineState."""

    IN_CYCLE = "InCycle"
    MASTER_CAM = "MasterCam"
    MDI_CYCLE = "MdiCycle"
    CAM_CYCLE = "CamCycle"
    IDLE = "Idle"
    OPTIONAL_STOP = "OptionalStop"
    PROGRAM_STOP = "ProgramStop"
    M0 = "M0"
    ATC_STOPPED = "AtcStopped"
    FEED_HOLD = "FeedHold"
    MDI_MODE = "MdiMode"
    MANUAL_MODE = "ManualMode"
    E_STOP = "EStop"
    ALARM = "Alarm"
    POWER_OFF = "PowerOff"


class MaterialStatus(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """MaterialStatus."""

    UNKNOWN = "Unknown"
    NOT_STARTED = "NotStarted"
    PARTIAL = "Partial"
    COMPLETED = "Completed"


class MeasurementFormInstanceStatus(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """MeasurementFormInstanceStatus."""

    ACTIVE = "Active"
    CANCELLED = "Cancelled"
    COMPLETED = "Completed"
    APPROVED = "Approved"


class MeasurementFormSource(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """MeasurementFormSource."""

    UNKNOWN = "Unknown"
    INSPECTION_XPERT = "InspectionXpert"
    EXCEL = "Excel"
    MANUAL = "Manual"


class MeasurementFormStatus(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """MeasurementFormStatus."""

    DRAFT = "Draft"
    RELEASED = "Released"
    REVOKED = "Revoked"


class MeasurementFormValueType(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """MeasurementFormValueType."""

    NONE = "None"
    BOOL = "Bool"
    DECIMAL = "Decimal"
    STRING = "String"


class MeasurementFrequency(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """MeasurementFrequency."""

    ALL = "All"
    FIRST_ARTICLE = "FirstArticle"
    N_FIRST = "NFirst"
    N_PERCENT = "NPercent"
    ISO2859 = "ISO2859"
    NTH = "Nth"
    NONE = "None"


class OperationStatus(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """OperationStatus."""

    NOT_READY = "NotReady"
    READY = "Ready"
    ONGOING = "Ongoing"
    COMPLETED = "Completed"


class SchemaFeedbackStatus(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """SchemaFeedbackStatus."""

    NEW = "New"
    IN_PROGRESS = "InProgress"


class WorkorderStatus(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """WorkorderStatus."""

    DRAFT = "Draft"
    READY = "Ready"
    ONGOING = "Ongoing"
    COMPLETED = "Completed"
    DELETED = "Deleted"
